{% extends 'base.html' %}
{% load static %}
{% load staticfiles %}
{% block content %}

    <h1 class="text-center my-4">Registration</h1>
    <form class="container mb-4" method="POST">
        {% csrf_token %}
        {% for field in form %}
            <p style="color: black;">{{ field.label_tag }} {{ field }}</p>
            {% if "Name" in field.label_tag %}
                <div id="form_name" class="alert" style="margin-top:-4vh;"> *Name is required </div>
            {% elif "E-mail" in field.label_tag %}
                <div id="form_email" class="alert" style="margin-top:-4vh;"> *Valid email is required </div>
                <div id="form_email2" class="alert" style="margin-top:-4vh;"> *Email already registered </div>
            {% elif "Password" in field.label_tag %}
                <div id="form_password" class="alert" style="margin-top:-4vh;"> *Password is required </div>
            {% endif %}
        {% endfor %}
        <button id="btn-register" class="btn btn-info text-center" type="submit">Register</button>
    </form>
    <div class="container aqua mb-4 pb-3 rounded">
        <div class="container py-4">
            <h4 class="text-center text-white">List of Subscribers</h4>
        </div>
        <div class="container">
            <div class="row justify-content-center">
            {% for registration in registrations %}
                <div class="card mx-2 mb-3">
                    <div class="card-body">
                        <h5 class="card-title">{{ registration.name }}</h5>
                        <p class="card-text">{{ registration.email }}</p>
                        <a class="card-btn btn-unsub btn btn-danger" onclick="unsubscribe('{{ registration.email }}')">Unsubscribe</a>
                    </div>
                </div>
            {% endfor %}
            </div>
        </div>
    </div>
{% endblock %}